/*Variables*/
@import url(fonts.css);
:root {
  --fonts: Open Sans Light, sans-serif;
  --fontsBold: Open Sans Regular, sans-serif;
  --fontColor: #595959;
  --fontWeight: 300;
  --fontSize: 16px;
  --lineHeight: 24px;
  --linkColor: rgba(3, 134, 147, 1);
  --formBorderColor: rgba(3, 134, 147, 1);
  
  --maxWidth: 1200px;
  --mainBackgroundColor: #f9f9f9;

  --topbarHeight: 40px;
  --topbarBackgroundColor: #333333;

  --menuFontColor: white;
  --menuFontSize: 16px;
  --menuBackgroundHover: rgba(3, 134, 147, .6);
  --menuActiveBackgroundColor: rgba(3, 134, 147, 1);

  --footerHeight: 30px;
  --footerBackgroundColor: #333333;
  --footerFontColor: white;
  --footerFontSize: 12px;

  --popupWidth: 360px;
  --popupHeight: 60px;
  --popupTopPos: 80px;
  --popupRightPos: 80px;
  --popupLinkColor: rgba(3, 134, 147, 1);
  --popupFontColor: #f8f8f8;
  --popupBackgroundColor:rgba(3, 134, 147, 1);
}

/*--general styles---------------------------------------------------------------------------------------------*/
body {
  min-height: 100vh;
  height: 100%;
  min-width: 360px;
  margin: 0;
  padding: 0;
  background-color:var(--mainBackgroundColor);
}
body, 
input, 
select, 
textarea,
button,
a {
  font-family: var(--fonts);
  color: var(--fontColor);
  font-weight: var(--fontWeight);
  font-size: var(--fontSize);
  line-height: var(--lineHeight);
  text-rendering: optimizeLegibility;
}
html {
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: border-box;
}

/*--main layout-----------------------------------------------------------------------------------------------*/
#topbar {
  position:fixed;
  top: 0;
  left:0;
  right:0;
  height:var(--topbarHeight);
  text-align:center;
  background-color:var(--topbarBackgroundColor);
}
#footer {
  position:fixed;
  bottom: 0;
  left:0;
  right:0;
  height:var(--footerHeight);
  text-align:center;
  background-color:var(--footerBackgroundColor);
}
#content {
    max-width:var(--maxWidth);
    margin:0 auto;
    min-height:100vh;
    padding: calc(var(--topbarHeight) + 20px) 0 calc(var(--footerHeight) + 20px) 0;
}
/*--footer----------------------------------------------------------------------------*/
#footer a, 
#footer span {
  color:var(--footerFontColor);
  font-size:var(--footerFontSize);
  line-height:var(--footerHeight);
}
/*--navigation-------------------------------------------------------------------------------------------*/
#menu {
  display:inline-flex;
  flex-wrap: wrap;
  align-content: flex-end;
  margin-top:6px;
  margin:0 auto;
}
#menu a {
  color:var(--menuFontColor);
  font-size:var(--menuFontSize);
  line-height:var(--topbarHeight);
  text-decoration:none;
  padding:0 20px;
}
#menu a:hover {
  background-color:var(--menuBackgroundHover);
}
#menu a.active {
  background-color:var(--menuActiveBackgroundColor);
  cursor:default;
}
/*--topbar--------------------------------------------------------------------------------------------------*/
.sheet {
  height:auto;
  width:auto;
  border:1px solid #dddddd;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  max-width:100%;
}
/*--content--------------------------------------------------------------------------------------------------*/
h1.hero {
  font-size:3em;
  line-height:1.4;
  margin:6px 0;
}
a {
  color: var(--linkColor);
}
.form-group {
  display:grid;
  grid-template-columns: 100px 200px;
  gap: 0 20px;
  margin-bottom:10px;
}
input, 
select, 
textarea {
  border:1px solid var(--formBorderColor);
  outline: var(--formBorderColor);
}
input:focus-visible {
  border:1px solid var(--formBorderColor);
}
.errorMessage {
  color:#b12e21;
  grid-column: 2 / span 1;
  margin-bottom: 2px;
  font-size:12px;
  text-align: left;
}
.fieldError {
  border:1px solid #b12e21;
}
.contentSectionList li {
  cursor:pointer;
}
.contentSectionList li:hover {
  text-decoration:underline;
}
.contentSection {
  border-top:1px solid #dddddd;
}
.scrollToTop {
  position: fixed;
  bottom:40px;
  right:40px;
  background-image: url(../img/triangle.svg);
  background-repeat: no-repeat;
  background-size: 30px;
  background-position: center;
  height:50px;
  width:50px;
  cursor:pointer;
  border:2px solid var(--fontColor);
  border-radius: 50%;
}
.show {
  display:block;
}
/*--homepage----------------------------------------------------------------------------------*/
#home #content {
  display:grid;
  grid-template-columns: 1fr minmax(100px, 671px);
  gap:20px;
}
/*--popup------------------------------------------------------------------------------------------------*/
.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  background-color: rgba(0, 0, 0, 0.4);
  z-index: 300;
}
.popup {
  display: none;
  position: fixed;
  top: 100px;
  left: 0;
  right: 0;
  z-index: 400;
  margin: 0 auto;
}
.notification {
  position: fixed;
  top: var(--popupTopPos);
  right: var(--popupRightPos);
  z-index: 400;
  height:var(--popupHeight);
  width:var(--popupWidth);
  background-color:var(--popupBackgroundColor);
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  color:var(--popupFontColor);
  line-height:var(--popupHeight);
  border-radius: 6px;
  padding:0 12px;
  background-image:url(../img/tick.svg);
  background-repeat: no-repeat;
  background-size: 30px;
  background-position: right 20px center;
}
/*--media queries-------------------------------------------------------------------------------------*/
@media only screen and (max-width:1200px){
  #home #content {
    grid-template-columns: 1fr 400px;
    gap:10px;
  }
  #content {
    padding-left: 10px;
    padding-right: 10px;
  }
  #menu {
    padding-left: 10px;
    padding-right: 10px;
  }
}
@media only screen and (max-width:900px){
  #home #content {
    grid-template-columns: 1fr;
  }
}
@media only screen and (max-width:416px){
  #menu a {
    padding:0 10px;
  }
}
